Skip to main content

deployJava not defined for Firefox 3.0

2 replies [Last post]
tdanecito
Offline
Joined: 2005-10-10
Points: 0

Hi All,

I discovered tonight that the error message deployJava is not defined for FireFox 3.0 but works for FireFox 2.x. I am using Windows XP SP2 and I did add the link to the deplyJava.js.

Any hints on how to fix this? Seems like a big problem for deploying java apps using 6U10.

Thanks,
-Tony

Message was edited by: tdanecito

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
arsene
Offline
Joined: 2005-01-30
Points: 0

1 - With recent version of FireFox, under Windows, I had to include the deployJava.js script into a

with style="display:none" ; else, with the script in the , deployJava has still a line at the top of my page.

[code]

[/code]

The for FireFox has only an hidden="true" and this is not a style="display:none" : an element can be hidden and still have width and height.

2 - With deployJava.js in a frame, when you don't have the right version of Java installed, you have http://java.com/ inside the frame, not in the document.top. (same thing with IE ?)

tdanecito
Offline
Joined: 2005-10-10
Points: 0

More info for those interested.

Seems the problem occurs using 1.6.0_07 with FF3 but not with 6u10 rc.